#### write_at (6 of 8 overloads)

Write all of the supplied data at the specified offset before returning.

    template<
        typename SyncRandomAccessWriteDevice,
        typename Allocator>
    std::size_t write_at(
        SyncRandomAccessWriteDevice & d,
        uint64_t offset,
        basic_streambuf< Allocator > & b,
        asio::error_code & ec);

This function is used to write a certain number of bytes of data to a random access device at a specified offset. The call will block until one of the following conditions is true:

- All of the data in the supplied `basic_streambuf` has been written.
- An error occurred.

This operation is implemented in terms of zero or more calls to the device's write_some_at function.

###### Parameters

d

  The device to which the data is to be written. The type must support the SyncRandomAccessWriteDevice concept.

offset

  The offset at which the data will be written.

b

  The `basic_streambuf` object from which data will be written.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes transferred.

###### Remarks

This overload is equivalent to calling:

    asio::write_at(
       d, 42, b,
       asio::transfer_all(), ec);